<br>
<input type="text" name="city" #city>
<ul>
  <li *ngFor='let c of cities'>{{ c }}</li>
</ul>
<button (click)= "addCity(city.value)" >Add City</button>
<hr>
<form #f="ngForm" action="#">
  <span>From </span><select required #from><option *ngFor='let c of cities'>{{ c }}</option></select>
  <span>To </span><select required #to><option *ngFor='let c of cities' >{{ c }}</option></select>
  <br>
  <span>Time: </span>
  <input type="number" name="time" #time ngModel required (click)="log(f)">
  <br>
  <span>Seats: </span>
  <br>
  <input type="number" name="seats" #seats ngModel required>
  <br>
  <button  *ngIf="f.invalid" disabled>Add Trip</button>
  <button (click)="addTrip(from.value, to.value,time.value, seats.value)" *ngIf="f.valid">Add Trip</button>
</form>
<hr>
<app-trip *ngFor="let tripp of trips" [trip]="tripp"></app-trip>